OperatedClientConnection (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn
Interface OperatedClientConnection

All Superinterfaces:
  Closeable, org.apache.http.HttpClientConnection, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection

All Known Implementing Classes:
  DefaultClientConnection

Deprecated. (4.3) replaced by `HttpClientConnectionManager`.

    @Deprecated
    public interface OperatedClientConnection

extends org.apache.http.HttpClientConnection, org.apache.http.HttpInetConnection

A client-side connection that relies on outside logic to connect sockets to the appropriate hosts. It can be operated directly by an application, or through an `operator`.

Since:
  4.0

Method Summary
`Socket` | `getSocket()` Deprecated. Obtains the socket for this connection.
`org.apache.http.HttpHost` | `getTargetHost()` Deprecated. Obtains the target host for this connection.
`boolean` | `isSecure()` Deprecated. Indicates whether this connection is secure.
`void` | `openCompleted(boolean secure, org.apache.http.params.HttpParams params)` Deprecated. Signals that the connection has been successfully open.
`void` | `opening(Socket sock, org.apache.http.HttpHost target)` Deprecated. Signals that this connection is in the process of being open.
`void` | `update(Socket sock, org.apache.http.HttpHost target, boolean secure, org.apache.http.params.HttpParams params)` Deprecated. Updates this connection.

Methods inherited from interface org.apache.http.HttpClientConnection
`flush, isResponseAvailable, receiveResponseEntity, receiveResponseHeader, sendRequestEntity, sendRequestHeader`

Methods inherited from interface org.apache.http.HttpInetConnection
`getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Method Detail

### getTargetHost

    org.apache.http.HttpHost getTargetHost()

  Deprecated.
  Obtains the target host for this connection. If the connection is to a proxy but not tunnelled, this is the proxy. If the connection is tunnelled through a proxy, this is the target of the tunnel.

  The return value is well-defined only while the connection is open. It may change even while the connection is open, because of an `update`.

  Returns:
    the host to which this connection is opened

### isSecure

    boolean isSecure()

  Deprecated.
  Indicates whether this connection is secure. The return value is well-defined only while the connection is open. It may change even while the connection is open, because of an `update`.

  Returns:
    `true` if this connection is secure, `false` otherwise

### getSocket

    Socket getSocket()

  Deprecated.
  Obtains the socket for this connection. The return value is well-defined only while the connection is open. It may change even while the connection is open, because of an `update`.

  Returns:
    the socket for communicating with the `target host`

### opening

    void opening(Socket sock,
                 org.apache.http.HttpHost target)
                 throws IOException

  Deprecated.
  Signals that this connection is in the process of being open.

  By calling this method, the connection can be re-initialized with a new Socket instance before `openCompleted(boolean, org.apache.http.params.HttpParams)` is called. This enabled the connection to close that socket if `shutdown` is called before it is fully open. Closing an unconnected socket will interrupt a thread that is blocked on the connect. Otherwise, that thread will either time out on the connect, or it returns successfully and then opens this connection which was just shut down.

  This method can be called multiple times if the connection is layered over another protocol. Note: This method will not close the previously used socket. It is the caller's responsibility to close that socket if it is no longer required.

  The caller must invoke `openCompleted(boolean, org.apache.http.params.HttpParams)` in order to complete the process.

  Parameters:
    `sock` - the unconnected socket which is about to be connected.
    `target` - the target host of this connection
  Throws:
    `IOException`

### openCompleted

    void openCompleted(boolean secure,
                       org.apache.http.params.HttpParams params)
                       throws IOException

  Deprecated.
  Signals that the connection has been successfully open. An attempt to call this method on an open connection will cause an exception.

  Parameters:
    `secure` - `true` if this connection is secure, for example if an `SSLSocket` is used, or `false` if it is not secure
    `params` - parameters for this connection. The parameters will be used when creating dependent objects, for example to determine buffer sizes.
  Throws:
    `IOException`

### update

    void update(Socket sock,
                org.apache.http.HttpHost target,
                boolean secure,
                org.apache.http.params.HttpParams params)
                throws IOException

  Deprecated.
  Updates this connection. A connection can be updated only while it is open. Updates are used for example when a tunnel has been established, or when a TLS/SSL connection has been layered on top of a plain socket connection.

  Note: Updating the connection will not close the previously used socket. It is the caller's responsibility to close that socket if it is no longer required.

  Parameters:
    `sock` - the new socket for communicating with the target host, or `null` to continue using the old socket. If `null` is passed, helper objects that depend on the socket should be re-used. In that case, some changes in the parameters will not take effect.
    `target` - the new target host of this connection
    `secure` - `true` if this connection is now secure, `false` if it is not secure
    `params` - new parameters for this connection
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.